Bug 456520 - OFX import broken upstream
Summary: OFX import broken upstream
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: importer (show other bugs)
Version: git (master)
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-09 16:13 UTC by Dawid Wróbel
Modified: 2022-07-25 05:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2022-07-09 16:13:07 UTC
SUMMARY
OFX issue is broken, most likely upstream, on Windows and macOS:
https://github.com/libofx/libofx/issues/62
Comment 1 Dawid Wróbel 2022-07-20 09:07:40 UTC
Git commit fc52543e5ff4ec5b8f90af017d1597fe85bfa1df by Dawid Wróbel.
Committed on 20/07/2022 at 09:07.
Pushed by wrobelda into branch 'master'.

[libofx] Update to 0.10.5
FIXED-IN: 5.1.3

A  +16   -0    libs/libofx/0001-Add-new-code-to-CMakeLists.txt.patch
A  +22   -0    libs/libofx/0001-Don-t-deconst-iconv-input-buffer-under-Windows.patch
R  +0    -0    libs/libofx/libofx-0.10.15-20180412.diff [from: libs/libofx/libofx-0.9.12-20180412.diff - 100% similarity]
R  +1    -1    libs/libofx/libofx-0.10.15-20180505-1.diff [from: libs/libofx/libofx-0.9.13-20180505-1.diff - 099% similarity]
A  +55   -0    libs/libofx/libofx-0.10.15-20180505-5.diff
D  +0    -15   libs/libofx/libofx-0.9.13-20180505-2.diff
D  +0    -20   libs/libofx/libofx-0.9.13-20180505-3.diff
D  +0    -12   libs/libofx/libofx-0.9.13-20180505-4.diff
D  +0    -68   libs/libofx/libofx-0.9.13-20180505-5.diff
M  +10   -13   libs/libofx/libofx.py

https://invent.kde.org/packaging/craft-blueprints-kde/commit/fc52543e5ff4ec5b8f90af017d1597fe85bfa1df
Comment 2 Dawid Wróbel 2022-07-20 09:07:48 UTC
Git commit fb424f601ac4d4c67fb76f67117a007eb9a42b06 by Dawid Wróbel.
Committed on 20/07/2022 at 09:07.
Pushed by wrobelda into branch 'master'.

[libofx] Revert blueprint updates down to 0.9.x

Revert "[libofx] Enable tools but disable ofx2qif on Win"
Revert "[libofx] Increase patchlevel to force commit"
Revert "[libofx] Fix DTD files copied to bin/data, not share on Win"
Revert "[libofx] Update to 0.10.5"
Revert "Fix libofx installation"
Revert "[libofx] Update to 0.10.3"
Revert "libofx: update to 0.10.2"

D  +0    -32   libs/libofx/disable-ofx2qif-msvc.patch
D  +0    -96   libs/libofx/getopt.diff
D  +0    -26   libs/libofx/iconv-windows-dont-deconst.patch
A  +12   -0    libs/libofx/libofx-0.9.12-20180412.diff
A  +323  -0    libs/libofx/libofx-0.9.13-20180505-1.diff
A  +15   -0    libs/libofx/libofx-0.9.13-20180505-2.diff
A  +20   -0    libs/libofx/libofx-0.9.13-20180505-3.diff
A  +12   -0    libs/libofx/libofx-0.9.13-20180505-4.diff
A  +68   -0    libs/libofx/libofx-0.9.13-20180505-5.diff
M  +30   -20   libs/libofx/libofx.py
D  +0    -284  libs/libofx/msvc.patch

https://invent.kde.org/packaging/craft-blueprints-kde/commit/fb424f601ac4d4c67fb76f67117a007eb9a42b06
Comment 3 Dawid Wróbel 2022-07-20 09:09:03 UTC
Tested locally and confirmed to be working again.
Comment 4 Dawid Wróbel 2022-07-20 09:09:25 UTC
This build, once done, will contain the fixes:

https://binary-factory.kde.org/view/Windows%2064-bit/job/KMyMoney_Release_win64/1467/
Comment 5 Ful R67 2022-07-25 05:58:42 UTC
Hi Dawid,

I also confirm that it's working again. Thank you so much for your help beacause I've seen on Github that it was a huge work to do. So thanks again for your kind contribution.

A happy Kmymoney user :-)